Package org.jacoco.core.analysis

## Interface IMethodCoverage

All Superinterfaces:
  `ICoverageNode`, `ISourceNode`

All Known Implementing Classes:
  `MethodCoverageImpl`

    public interface IMethodCoverage
    extends ISourceNode

Coverage data of a single method. The name of this node is the local method name.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jacoco.core.analysis.ICoverageNode

`ICoverageNode.CounterEntity, ICoverageNode.ElementType`

### Field Summary

### Fields inherited from interface org.jacoco.core.analysis.ISourceNode

`UNKNOWN_LINE`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getDesc()` Returns the descriptor of the method.
`java.lang.String` `getSignature()` Returns the generic signature of the method if defined.

### Methods inherited from interface org.jacoco.core.analysis.ICoverageNode

`containsCode, getBranchCounter, getClassCounter, getComplexityCounter, getCounter, getElementType, getInstructionCounter, getLineCounter, getMethodCounter, getName, getPlainCopy`

### Methods inherited from interface org.jacoco.core.analysis.ISourceNode

`getFirstLine, getLastLine, getLine`

### Method Detail

#### getDesc

    java.lang.String getDesc()

Returns the descriptor of the method.

Returns:
  descriptor

#### getSignature

    java.lang.String getSignature()

Returns the generic signature of the method if defined.

Returns:
  generic signature or `null`